$color-default: #424242;
$color-warning: #ff9;
$color-success: #2FB456;
$color-error: #de1c25;
$color-info: #2cbcff;
$color-text-dark: #333;
$color-text-light: #fff;

html {
    font-size: 62.5%;
}

body {
    background: #283048; /* fallback for old browsers */
    background: -webkit-linear-gradient(to left, #283048 , #859398); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to left, #283048 , #859398); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
     
    font-size: 15px;
    font-size: 1.5rem;
    line-height: 180%;
    padding: 1.5rem;
}

@keyframes fadeInExpand {
    0% {
        opacity: 0;
    }

    35% {
        opacity: 1;
        transform: scale(1.25);
    }

    100% {
        opacity: 1;
        transform: scale(1);
    }
}

@mixin fade($color, $percent) {
    background-color: rgba($color: $color, $alpha: $percent/100%);
}

.btn {
    background: #333;
    border: 1px solid #fff;
    color: #fff;
    display: inline-block;
    font-size: 1.5rem;
    line-height: normal;
    margin-bottom: 1.5rem;
    padding: 1.5rem 3rem;
    transition: all 200ms;
    text-transform: uppercase;

    &:hover,
    &:focus,
    &:active {
        background: #000;
        color: #fff;
    }
}

.toast-fixed {
    max-width: 30rem;
    position: fixed;
    right: 1.5rem;
    top: 1.5rem;
    z-index: 120;
    width: 100%;
}

.toast {
    @include fade($color-default, 95%);
    animation: fadeInExpand 150ms;
    box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.3);
    margin-bottom: 0.5rem;
    padding: 0.8rem;
    position: relative;
}

.toast--warning {
    @include fade($color-warning, 95%);
}

.toast--error {
    @include fade($color-error, 95%);
    // background-color: #de1c25
}

.toast--success {
    @include fade($color-success, 95%);
}

.toast--success {
    @include fade($color-success, 95%);
}


.toast--close {
    cursor: pointer;
    position: relative;
    position: absolute;
    opacity: 0.8;
    right: 0.8rem;
    top: 0.5rem;
    color: #fff;

    // &:before {
    //     transform: rotate(45deg);
    // }

    // &:after {
    //     transform: rotate(-45deg);
    // }
}

.toast--alert.toast--close {
    &:before,
    &:after {
        background: $color-text-dark;
    }
}

.toast__text {
    color: $color-text-light;
    line-height: 140%;
    margin: 0;
    padding-left: 0.8rem;
    padding-right: 0.8rem;
    text-align: left;
}

.toast--alert .toast__text {
    color: $color-text-dark;
}

.toast__btn {
    background: #fff;
    border: 1px solid $color-default;
    border-radius: 3px;
    color: $color-default;
    display: inline-block;
    font-size: 1.4rem;
    line-height: 1;
    margin: 0.8rem 0 0.4rem 0.8rem;
    padding: 0.6rem 1.2rem;
    text-decoration: none;
    text-transform: uppercase;

    &:hover {
        opacity: 0.8;
    }
}